;----------------------------------------------------------------------------
; EBook         STF
; 
;----------------------------------------------------------------------------
; See_also      volsurf 
;
;----------------------------------------------------------------------------
; Macro         STFfft01
; 
;----------------------------------------------------------------------------
; Description   plot of implied volatility of DAX options on January, 4th 1999
;
;---------------------------------------------------------------------------- 

library("finance")
data=read("volsurfdata2.dat")
IVmethod="bisect"
stepwidth=(0.02|(2/52))
bandwidth=0.05|0.3
firstXF=0.4
lastXF=1.31
firstMat=0
lastMat=1.92
metric=0
AdjustToSurface=1
{IVSurface,IVpoints}=volsurf(data, stepwidth,firstXF,lastXF,firstMat,lastMat, metric,bandwidth,0,IVmethod)

IVSurface=setmask(IVSurface,"surface","blue")
IVpoints=setmask(IVpoints,"red","fillcircle","medium")
plot3d(3,IVSurface,IVpoints)

